./devel/p5-MooseX-Types-Structured, Perl 5 module providing structured type constraints for Moose

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.35nb1, Package name: p5-MooseX-Types-Structured-0.35nb1, Maintainer: pkgsrc-users

The Perl 5 module MooseX::Types::Structured provides structured
type constraints for Moose. A structured type constraint is a
standard container Moose type constraint, such as an ArrayRef or
HashRef, which has been enhanced to allow you to explicitly name
all the allowed type constraints inside the structure.


Required to run:
[lang/perl5] [devel/p5-Sub-Exporter] [devel/p5-Moose] [devel/p5-MooseX-Types] [devel/p5-Devel-PartialDump]

Required to build:
[time/p5-DateTime] [devel/p5-Test-Exception] [time/p5-MooseX-Types-DateTime] [devel/p5-Test-Requires] [devel/p5-Class-Tiny]

Master sites: (Expand)

SHA1: 226af56ce728de80c7567c168a83cd026b6ecbc8
RMD160: f78b87e88a9010f0aa5f04fbc8800e97bcea9daf
Filesize: 58.816 KB

Version history: (Expand)


CVS history: (Expand)


   2016-06-08 21:25:20 by Thomas Klausner | Files touched by this commit (2236) | Package updated
Log message:
Bump PKGREVISION for perl-5.24.
   2016-05-15 13:30:33 by Wen Heping | Files touched by this commit (2) | Package updated
Log message:
Update to 0.35

Upstream changes:
0.35    2015-12-27 00:32:49Z
        - avoid spaces in slurpy type constraint names (ilmari)
   2015-11-03 04:29:40 by Alistair G. Crooks | Files touched by this commit (1995)
Log message:
Add SHA512 digests for distfiles for devel category

Issues found with existing distfiles:
	distfiles/eclipse-sourceBuild-srcIncluded-3.0.1.zip
	distfiles/fortran-utils-1.1.tar.gz
	distfiles/ivykis-0.39.tar.gz
	distfiles/enum-1.11.tar.gz
	distfiles/pvs-3.2-libraries.tgz
	distfiles/pvs-3.2-linux.tgz
	distfiles/pvs-3.2-solaris.tgz
	distfiles/pvs-3.2-system.tgz
No changes made to these distinfo files.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-09-05 08:53:03 by Makoto Fujiwara | Files touched by this commit (2) | Package updated
Log message:
(pkgsrc)
 - Add following lines for make test
  BUILD_DEPENDS+= p5-Class-Tiny-[0-9]*:../../devel/p5-Class-Tiny
  BUILD_DEPENDS+= p5-Test-Requires-[0-9]*:../../devel/p5-Test-Requires
(upstream)
 - Update to 0.34
 ----------------
0.34    2015-08-16 02:39:14Z
   - bump namespace::clean prereq
   2015-07-12 20:56:37 by Thomas Klausner | Files touched by this commit (405)
Log message:
Comment out dependencies of the style
{perl>=5.16.6,p5-ExtUtils-ParseXS>=3.15}:../../devel/p5-ExtUtils-ParseXS
since pkgsrc enforces the newest perl version anyway, so they
should always pick perl, but sometimes (pkg_add) don't due to the
design of the {,} syntax.

No effective change for the above reason.

Ok joerg
   2015-06-12 12:52:19 by Thomas Klausner | Files touched by this commit (3152)
Log message:
Recursive PKGREVISION bump for all packages mentioning 'perl',
having a PKGNAME of p5-*, or depending such a package,
for perl-5.22.0.
   2015-04-10 03:26:14 by Makoto Fujiwara | Files touched by this commit (2) | Package updated
Log message:
Update 0.30 to 0.33
-------------------
0.33    2015-04-01 17:10:23Z
        - avoid using a method installer in the main importer, to avoid
          removing subs' blessedness (RT#103247)

0.32    2015-03-28 21:39:38Z
        - fix namespace cleaning with older MooseX::Types

0.31    2015-03-28 21:08:14Z
        - various misc distribution and packaging cleanup
   2014-05-30 01:38:20 by Thomas Klausner | Files touched by this commit (3049)
Log message:
Bump for perl-5.20.0.
Do it for all packages that
* mention perl, or
* have a directory name starting with p5-*, or
* depend on a package starting with p5-
like last time, for 5.18, where this didn't lead to complaints.
Let me know if you have any this time.